package main

import (
	"os"

	"github.com/spf13/cobra"
)

// Command
var envCmd = &cobra.Command{
	Use:   "env",
	Short: "generates environment variables for shell scripts",
	RunE: func(_ *cobra.Command, _ []string) error {
		m, err := cfg.LoadZones()
		if err != nil {
			return err
		}

		_, err = m.Env(*envExport).WriteTo(os.Stdout)
		return err
	},
}

// Command Flags
var (
	envExport *bool
)

func init() {
	rootCmd.AddCommand(envCmd)

	envExport = envCmd.PersistentFlags().BoolP("export", "e", false,
		"export generated variables")
}
